Bug 10121 - masks incorrectly applied to UNIX extension permission changes.
masks incorrectly applied to UNIX extension permission changes.
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-28 23:22 UTC by Jeremy Allison
Modified: 2013-09-02 07:43 UTC (History)
1 user (show)

See Also:


Attachments
git-am fix for 4.0.next and 4.1.0 (5.21 KB, patch)
2013-08-28 23:32 UTC, Jeremy Allison
obnox: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2013-08-28 23:22:11 UTC
In 4.0 and above, the parameters :

"create mask", "force create mode" should only be applied to new files, not existing ones.

"directory mask", "force directory mode" should only be applied to new drectories, not existing ones.

Patch that went into master to follow.

Jeremy.
Comment 1 Jeremy Allison 2013-08-28 23:32:49 UTC
Created attachment 9171 [details]
git-am fix for 4.0.next and 4.1.0

Michael, this is the patch that went into master (created by me, reviewed by Simo) and can be cherry-picked for 4.0.next and 4.1.0 as:

git cherry-pick -x bd0156988b34feaf91c3046f7ec78f0833222395
git cherry-pick -x f1ff97fc022adaacaa23b7da250be6f7d51c6ac7
git cherry-pick -x d1593a20f3a5ebf287477dfa8f5ab31dca3dd0c3

Thanks,

Jeremy.
Comment 2 Michael Adam 2013-08-29 14:51:07 UTC
Comment on attachment 9171 [details]
git-am fix for 4.0.next and 4.1.0

great, thanks!
Comment 3 Michael Adam 2013-08-29 14:53:23 UTC
Karolin,
please pick for 4.0 and 4.1.
Comment 4 Karolin Seeger 2013-08-30 08:26:25 UTC
Pushed to autobuild-v4-1-test and autobuild-v4-0-test.
Comment 5 Karolin Seeger 2013-09-02 07:43:12 UTC
Pushed to v4-1-test and v4-0-test.
Closing out bug report.

Thanks!